defmodule PrymnWeb.AgentChannel do
  use PrymnWeb, :channel

  @impl true
  def join("agents:" <> agent_id, payload, socket) do
    IO.inspect(agent_id)
    IO.inspect(payload)

    {:ok, socket}
  end

  # Channels can be used in a request/response fashion
  # by sending replies to requests from the client
  @impl true
  def handle_in("ping", payload, socket) do
    {:reply, {:ok, payload}, socket}
  end

  def handle_in("binary", {:binary, data}, socket) do
    dbg(data)
    {:noreply, socket}
  end
end
